#ifndef _DISP_
#define _DISP_

#include "chip.h"
#include <stdio.h>

#define start_adress_line1 0x0
#define start_adress_line2 0x40

extern void lcd_init(void);
extern void lcd_instr(uint8_t instr);
extern void lcd_char(uint8_t data);
extern void lcd_write(uint8_t data,uint8_t rs); 
extern void LCD_E_t(void);
extern void lcd_clrscr(void);
extern void lcd_home(void);
extern void lcd_setline(uint8_t _line);
extern void lcd_string(char *text);
extern void lcd_number(uint8_t data);
extern void lcd_clearline(uint8_t _line);
extern void lcd_gotoxy(uint8_t x, uint8_t y);

#endif /* _DISP_ */
